import React, {Fragment} from 'react'
import Bottom from './../Bottom/index'
import './index.css'
import {Outlet, useLocation} from 'react-router-dom'
import DetailSearchBar from "../../components/DetailSearchBar";
import dayjs from "dayjs";


const Home = () => {

    const location = useLocation();
    console.log("Home", location);
    const searchUrl = location?.state?.search;
    const [pName, setName] = React.useState("");
    const [search, setSearch] = React.useState(searchUrl ? searchUrl : {
        "pageSize": 20,
        "pageNumber": 1,
        "data": {
            "andList": [
                {"name": "state", "value": "8,9", "operateType": "IN"}
                ,
                {
                    "name": "expectedStartTime",
                    "value": dayjs().add(1, "d").set('h', 0).set('m', 0).set('s', 0).set('ms', 0).format(),
                    "operateType": "<"
                },
                {
                    "name": "expectedEndTime",
                    "value": dayjs().set('h', 0).set('m', 0).set('s', 0).set('ms', 0).format(),
                    "operateType": ">"
                }
            ],
            "orList": [
                {"name": "state", "value": "10", "operateType": "="}
            ]
        }
    })
    const updateSearch = (values) => {
        setSearch(values);
    };
    return (
        <div className='body'>

            {
                location.pathname.endsWith("/calTask") ? (
                    <Fragment>
                        <div style={{marginBottom: "49px", width: "100%"}}>
                            <Outlet context={{"search": search}}/>
                        </div>
                    </Fragment>
                ) : (<Fragment>
                        <DetailSearchBar search={search}
                                         updateSearch={updateSearch}
                                         pName={pName}/>
                        <div style={{marginTop: "40px", marginBottom: "49px", width: "100%"}}>
                            <Outlet context={{"search": search}}/>
                        </div>
                    </Fragment>
                )
            }
            <Bottom/>
        </div>
    )
}

export default Home;