import React from 'react'
import { BrowserRouter as Router, Route, Navigate , Routes } from 'react-router-dom';
import axios from 'axios';
import { Swiper,Grid } from 'antd-mobile';
import WidthUseNavigate from './../WidthUseNavigate/index'
import ImgZZ from './../../assets/images/nav-1.png'
import ImgHZ from './../../assets/images/nav-2.png'
import ImgDTZF from './../../assets/images/nav-3.png'
import ImgQCZ from './../../assets/images/nav-4.png'
import './index.css'
const localCatalog = [
    { "imgSrc": ImgZZ, "title": "整租", "path": "/todo" },
    { "imgSrc": ImgHZ, "title": "合租", "path": "/todo" },
    { "imgSrc": ImgDTZF, "title": "地图找房", "path": "/map" },
    { "imgSrc": ImgQCZ, "title": "去出租", "path": "/me" }
]
class IndexInner extends React.Component {
    state = {
        swipers: [],
        isSwiperLoaded: false,
        groups: [],
        curCityName:''
    }
    // 获取轮播图
    async getSwitpers() {
        const res = await axios.get('http://localhost:8080/home/swiper')
        this.setState(
            {
                swipers: res.data.body,
                isSwiperLoaded: true
            },

            //     ()=>{
            //     return{swipers:res.data.body}
            // }
        )
    }
    // 获取租房小组
    async getGroups() {
        const res = await axios.get('http://localhost:8080/home/groups', {
            params: {
                area: 'AREA%7C88cff55c-aaa4-e2e0'
            }
        })
        this.setState(
            () => {
                return { groups: res.data.body }
            }
        )
    }
    componentDidMount() {
        this.getSwitpers()
        this.getGroups()
        const curCity = new window.BMapGL.LocalCity()
        curCity.get(async res=>{
            this.setState(()=>{
                return {curCityName:res.name}
            })
            const result = await axios.get('http://localhost:8080/area/info?name=${res.name}')
            console.log(result)
        })
    }

    renderSwipers() {
        return this.state.swipers.map(item => (<Swiper.Item key={item.id}>
            <img height='212'
                src={'http://localhost:8080' + item.imgSrc}
                style={{ width: '100%', verticalAlign: 'top' }}
            />
        </Swiper.Item>))
    }

    render() {
        return <div className='context'>

            {/* 轮播图 */}
            <div className='context-swapper'>
                <div>
                {
                    this.state.isSwiperLoaded ? <Swiper autoplay loop autoplayInterval='1500'>{this.renderSwipers()}</Swiper> : ""
                }
                </div>
                          <div className="search-box">
            {/* 左侧白色区域 */}
            <div className="search">
              {/* 位置 */}
              <div
                className="location"
                onClick={() => this.props.to('/citylist')}
              >
                <span className="name">{this.state.curCityName}</span>
                <i className="iconfont icon-arrow" />
              </div>

              {/* 搜索表单 */}
              <div
                className="form"
                onClick={() => this.props.to('/search')}
              >
                <i className="iconfont icon-seach" />
                <span className="text">请输入小区或地址</span>
              </div>
            </div>
            {/* 右侧地图图标 */}
            <i
              className="iconfont icon-map"
              onClick={() => this.props.history.push('/map')}
            />
          </div>
            </div>

            {/* 本地导航 */}
            <Grid columns={4}>
                {
                    localCatalog.map((item, index) => (
                        <Grid.Item key={index} onClick={() => {
                            console.log("点击跳转")
                            this.props.to(item.path)
                        }}>
                            <div ><img src={item.imgSrc} /><h2>{item.title}</h2></div>
                        </Grid.Item>
                    ))
                }
            </Grid>
            {/* 租房小组 */}
            <div className='group'>
                <h3 className='title'>
                    租房小组<span className='more'>更多</span>
                </h3>
            </div>
        </div>
    };
}
// 使用高阶组件包裹当前类组件
const Index = WidthUseNavigate(IndexInner);
export default Index