import {useLocation, useNavigate} from 'react-router-dom'
// 高阶组件包装useNavigate()功能
// 原因：类组件中无法使用useNavigate()，会报错
// React Hook "useNavigate" cannot be called in a class component.
function WidthUseNavigate(WrapComponent) {
  // 设置别名
  WrapComponent.displayName = `widthUseNavigate${getDisplayName(WrapComponent)}`
  return function NavigateComponent() {
    const navigate = useNavigate()
    const location = useLocation()
    // 给传入的组件新增一个to方法，传给原始组件的props，在原始组件中通过this.props.to(参数)使用
    return <WrapComponent to={navigate} useLocation={location.pathname}></WrapComponent>
  }
}

// 别名
function getDisplayName(WrapComponent) {
  return WrapComponent.displayname || WrapComponent.name || 'Component'
}
 
export default WidthUseNavigate